# Better Portal - Valheim Mod
Better Portal is a mod that allows you to change the destination of
portals to any tag. I know that there are already mods with the same
functionality, but I created this mod because I did not want to install
Jotunn. If you already have Jotunn installed, there is no advantage to
using this mod. This mod has only minimal functionality.

## Features

When interacting with the portal, you can set the destination tag by
pressing the Shift key at the same time. Portals do not have to be
connected to each other and can teleport one way.

**TIP:** Pressing the Insert Key while entering the destination tag will execute autocomplete. Also, pressing the up or down arrow key will rotate existing tags.

**NOTE:** If multiple portals with the specified destination tag exist, they will be randomly connected.

![Features -
Image](https://app.box.com/shared/static/8anhpoogiwa4tek8rznl2m1ag5mt6wso.jpg)

## Languages

<table>
<thead>
<tr class="header">
<th style="text-align: left;">Language</th>
<th style="text-align: left;">Translators</th>
<th style="text-align: left;">Status</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;"><p>English</p></td>
<td style="text-align: left;"><p>Translation Tools</p></td>
<td style="text-align: left;"><p>100%</p></td>
</tr>
<tr class="even">
<td style="text-align: left;"><p>Japanese</p></td>
<td style="text-align: left;"><p>EideeHi</p></td>
<td style="text-align: left;"><p>100%</p></td>
</tr>
</tbody>
</table>

## Contacts

[![Bug report on Issues](https://app.box.com/shared/static/g2v3vbju4jazq7kycoigp60ltki2kw8i.png)](https://github.com/eideehi/valheim-better-portal/issues)

**Only bug reports are accepted under Issues.**

[![eidee.net - Discord Server](https://app.box.com/shared/static/0s09ti60hvyyp5k98xyrnkfp683mrt9r.png)](https://discord.gg/DDQqxkK7s6)

**Questions, suggestions and comments are welcome on the Discord Server.**

## Credits

-   Dependencies:

    -   [LitJSON](https://litjson.net)

## License

Better Portal is developed and released under the MIT license. For the
full text of the license, please see the [LICENSE](https://github.com/eideehi/valheim-better-portal/blob/main/LICENSE) file.

## Changelog
#### v1.0.4 [2023-07-02]
- Updated for changes in Valheim 0.216.9
  - After updating the mod, if the destination of the portal differs from the actual destination, you can fix it by resetting the destination

#### v1.0.3 [2023-03-18]
- Updated for changes in Valheim 0.214.2

#### v1.0.2 [2023-03-02]
- Improve input autocomplete

#### v1.0.1 [2022-12-14]
- Change to update connections immediately when destination tag is changed
- Add the function to complete tag names while entering destination tags

#### v1.0.0 [2022-11-23]
- Initial release
